function iduikeyp
%IDUIKEYP The ident keypress function callback.

%	L. Ljung 9-27-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%       $Revision: 1.7 $  $Date: 1995/05/10 21:36:59 $

global XIDhw
if gcf~=get(0,'pointerwindow')
return
end
usd=get(XIDhw(3,1),'userdata');
ch=get(gcf,'CurrentCharacter');
if any(ch==['s','c','q','d','m'])
  iduistat('Key press acknowledged, compiling...')
  if ch=='s',
     if isempty(usd)
        errordlg('You must first import a data set.');
        iduistat('');return
     end
     eval('iduinpar(''spa'');')
  elseif ch=='c'
      if isempty(usd)
         errordlg('You must first import a data set.');
         iduistat('');return
      end
      eval('iduinpar(''cra'');')
  elseif ch=='q'
     if isempty(usd)
        errordlg('You must first import a data set.');
        iduistat('');return
     end
      eval('iduiqs')
  elseif ch=='d'
%     eval('iduifile(''load_iodata'');')
     eval('iduifile(''load_data'');')
  elseif ch=='m'
     eval('iduifile(''load_model'');')
  end
else
  iduistat(['The character ',ch,' is not a valid hotkey'])
end
